Skip to main content
GET
/
v1
/
content
/
:id
# Get a content with both draft and published versions
curl https://api.usertour.io/v1/content/cm9f6vwed0002iejc4vg2zu3t?expand[]=publishedVersion&expand[]=editedVersion \
-H 'Authorization: Bearer ak_123456789' \
-H 'Content-Type: application/json'
{
  "id": "cm9f6vwed0002iejc4vg2zu3t",
  "object": "content",
  "name": "Product Onboarding Flow",
  "type": "flow",
  "editedVersionId": "cm9mkru2c000mlhmajx3l0146",
  "editedVersion": {
    "id": "cm9mkru2c000mlhmajx3l0146",
    "object": "contentVersion",
    "number": 14,
    "questions": [],
    "updatedAt": "2025-04-18T09:16:37.989Z",
    "createdAt": "2025-04-18T09:16:37.989Z"
  },
  "publishedVersionId": "cm9mjsv7d001bvfe8qe8tgzv9",
  "publishedVersion": {
    "id": "cm9mjsv7d001bvfe8qe8tgzv9",
    "object": "contentVersion",
    "number": 13,
    "questions": [],
    "updatedAt": "2025-04-18T08:49:26.501Z",
    "createdAt": "2025-04-18T08:49:26.501Z"
  },
  "updatedAt": "2025-04-18T09:16:37.989Z",
  "createdAt": "2025-04-13T05:13:29.797Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.usertour.io/llms.txt

Use this file to discover all available pages before exploring further.

Path parameters

id
string
The unique identifier of the content object you want to retrieve.

Query parameters

expand
string | string[]
Specify which related objects to include in the response. Available options:
  • editedVersion: Include the current draft version being edited
  • publishedVersion: Include the currently published version
  • You can request multiple expansions using array syntax: expand[]=publishedVersion&expand[]=editedVersion

Response

Returns a content object if found. Returns a 404 Not Found error if the content doesn’t exist.
# Get a content with both draft and published versions
curl https://api.usertour.io/v1/content/cm9f6vwed0002iejc4vg2zu3t?expand[]=publishedVersion&expand[]=editedVersion \
-H 'Authorization: Bearer ak_123456789' \
-H 'Content-Type: application/json'
{
  "id": "cm9f6vwed0002iejc4vg2zu3t",
  "object": "content",
  "name": "Product Onboarding Flow",
  "type": "flow",
  "editedVersionId": "cm9mkru2c000mlhmajx3l0146",
  "editedVersion": {
    "id": "cm9mkru2c000mlhmajx3l0146",
    "object": "contentVersion",
    "number": 14,
    "questions": [],
    "updatedAt": "2025-04-18T09:16:37.989Z",
    "createdAt": "2025-04-18T09:16:37.989Z"
  },
  "publishedVersionId": "cm9mjsv7d001bvfe8qe8tgzv9",
  "publishedVersion": {
    "id": "cm9mjsv7d001bvfe8qe8tgzv9",
    "object": "contentVersion",
    "number": 13,
    "questions": [],
    "updatedAt": "2025-04-18T08:49:26.501Z",
    "createdAt": "2025-04-18T08:49:26.501Z"
  },
  "updatedAt": "2025-04-18T09:16:37.989Z",
  "createdAt": "2025-04-13T05:13:29.797Z"
}